Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.portlet
Enum LifeCyclePhase

    java.lang.Object
      java.lang.Enum<LifeCyclePhase>
          org.jboss.portal.portlet.LifeCyclePhase

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LifeCyclePhase>

    public enum LifeCyclePhase

extends java.lang.Enum<LifeCyclePhase>

Enumerate the life cycle phase of a Portlet.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Enum Constant Summary
`ACTION`
`EVENT`
`RENDER`
`RESOURCE`

Method Summary
`static LifeCyclePhase` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LifeCyclePhase[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACTION

    public static final LifeCyclePhase ACTION

### EVENT

    public static final LifeCyclePhase EVENT

### RENDER

    public static final LifeCyclePhase RENDER

### RESOURCE

    public static final LifeCyclePhase RESOURCE

Method Detail

### values

    public static final LifeCyclePhase[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LifeCyclePhase c : LifeCyclePhase.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LifeCyclePhase valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.